* pbp_Section_C.sas;

libname out '.\sas_data_sets\PBP';

options pageno=1 nocenter ls=200;

data pbp_c;
  length
  pbp_a_hnumber                    $5
  pbp_a_plan_identifier            $3
  pbp_a_ben_cov                    $1
  pbp_a_plan_type                  $2
  orgtype                          $2
  pbp_c_coins_iha_cov              $1
  pbp_c_coins_iha_intrvl_num       $1
  pbp_c_coins_ihs_ben_type         $2
  pbp_c_coins_ihs_yn               $1
  pbp_c_coins_iph_cov              $1
  pbp_c_coins_iph_intrvl_num       $1
  pbp_c_copay_iha_intrvl_num       $1
  pbp_c_copay_ihs_ben_type         $2
  pbp_c_copay_ihs_yn               $1
  pbp_c_copay_iph_intrvl_num       $1
  pbp_c_gen_bendesc_subcats        $51
  pbp_c_gen_ded_med_cat            $51
  pbp_c_gen_ded_med_yn             $1
  pbp_c_gen_ded_nm_cat             $51
  pbp_c_gen_ded_nm_yn              $1
  pbp_c_gen_maxplan_cov            $1
  pbp_c_gen_maxplan_per            $1
  pbp_c_gen_maxplan_yn             $1
  pbp_c_gen_oon_pre_yn             $1
  pbp_c_gen_oop_med_yn             $1
  pbp_c_gen_oop_nm_cat             $51
  pbp_c_gen_oop_nm_per             $1
  pbp_c_gen_oop_nm_yn              $1
  pbp_c_outpt_bendesc_cats         $49
  pbp_c_outpt_coins_cov            $1
  pbp_c_outpt_coins_yn             $1
  pbp_c_outpt_copay_yn             $1
  pbp_c_outpt_group_num            $2
  pbp_c_outpt_group_num_id         $2
;

  infile '.\pbp\pbp_Section_C.txt'
         delimiter = '09'x dsd lrecl = 30000 firstobs = 2 missover;
input
  pbp_a_hnumber
  pbp_a_plan_identifier
  segment_id
  pbp_a_ben_cov
  pbp_a_plan_type
  orgtype
  pbp_c_gen_maxplan_yn
  pbp_c_gen_maxplan_amt
  pbp_c_gen_maxplan_per
  pbp_c_gen_maxplan_cov
  pbp_c_gen_bendesc_subcats
  pbp_c_gen_oop_med_yn
  pbp_c_gen_oop_med_amt
  pbp_c_gen_oop_nm_yn
  pbp_c_gen_oop_nm_amt
  pbp_c_gen_oop_nm_cat
  pbp_c_gen_oop_nm_per
  pbp_c_gen_ded_med_yn
  pbp_c_gen_ded_amt
  pbp_c_gen_ded_med_cat
  pbp_c_gen_ded_nm_yn
  pbp_c_gen_ded_nm_amt
  pbp_c_gen_ded_nm_cat
  pbp_c_gen_oon_pre_yn
  pbp_c_coins_ihs_yn
  pbp_c_coins_ihs_ben_type
  pbp_c_coins_iha_pct
  pbp_c_coins_iha_intrvl_num
  pbp_c_coins_iha_pct_intrvl1
  pbp_c_coins_iha_bgnd_intrvl1
  pbp_c_coins_iha_endd_intrvl1
  pbp_c_coins_iha_pct_intrvl2
  pbp_c_coins_iha_bgnd_intrvl2
  pbp_c_coins_iha_endd_intrvl2
  pbp_c_coins_iha_pct_intrvl3
  pbp_c_coins_iha_bgnd_intrvl3
  pbp_c_coins_iha_endd_intrvl3
  pbp_c_coins_iha_cov
  pbp_c_coins_iph_pct
  pbp_c_coins_iph_intrvl_num
  pbp_c_coins_iph_pct_intrvl1
  pbp_c_coins_iph_bgnd_intrvl1
  pbp_c_coins_iph_endd_intrvl1
  pbp_c_coins_iph_pct_intrvl2
  pbp_c_coins_iph_bgnd_intrvl2
  pbp_c_coins_iph_endd_intrvl2
  pbp_c_coins_iph_pct_intrvl3
  pbp_c_coins_iph_bgnd_intrvl3
  pbp_c_coins_iph_endd_intrvl3
  pbp_c_coins_iph_cov
  pbp_c_copay_ihs_yn
  pbp_c_copay_ihs_ben_type
  pbp_c_copay_iha_ps_amt
  pbp_c_copay_iha_intrvl_num
  pbp_c_copay_iha_amt_intrvl1
  pbp_c_copay_iha_bgnd_intrvl1
  pbp_c_copay_iha_endd_intrvl1
  pbp_c_copay_iha_amt_intrvl2
  pbp_c_copay_iha_bgnd_intrvl2
  pbp_c_copay_iha_endd_intrvl2
  pbp_c_copay_iha_amt_intrvl3
  pbp_c_copay_iha_bgnd_intrvl3
  pbp_c_copay_iha_endd_intrvl3
  pbp_c_copay_iph_ps_amt
  pbp_c_copay_iph_intrvl_num
  pbp_c_copay_iph_amt_intrvl1
  pbp_c_copay_iph_bgnd_intrvl1
  pbp_c_copay_iph_endd_intrvl1
  pbp_c_copay_iph_amt_intrvl2
  pbp_c_copay_iph_bgnd_intrvl2
  pbp_c_copay_iph_endd_intrvl2
  pbp_c_copay_iph_amt_intrvl3
  pbp_c_copay_iph_bgnd_intrvl3
  pbp_c_copay_iph_endd_intrvl3
  pbp_c_outpt_group_num
  pbp_c_outpt_group_num_id
  pbp_c_outpt_bendesc_cats
  pbp_c_outpt_coins_yn
  pbp_c_outpt_coins_min_pct
  pbp_c_outpt_coins_max_pct
  pbp_c_outpt_coins_cov
  pbp_c_outpt_copay_yn
  pbp_c_outpt_copay_min_amt
  pbp_c_outpt_copay_max_amt
;

  label
  orgtype                          = 'Organization Type              '
  pbp_a_ben_cov                    = 'Coverage Criteria              '
  pbp_a_hnumber                    = 'H Number                       '
  pbp_a_plan_identifier            = 'Plan Identifier                '
  segment_id                       = 'Segment ID                     '
  pbp_c_coins_iha_bgnd_intrvl1     = 'OON IHA Coins BgnD Intrvl 1    '
  pbp_c_coins_iha_bgnd_intrvl2     = 'OON IHA Coins BgnD Intrvl 2    '
  pbp_c_coins_iha_bgnd_intrvl3     = 'OON IHA Coins BgnD Intrvl 3    '
  pbp_c_coins_iha_cov              = 'OON IHA Coins Cov              '
  pbp_c_coins_iha_endd_intrvl1     = 'OON IHA Coins EndD Intrvl 1    '
  pbp_c_coins_iha_endd_intrvl2     = 'OON IHA Coins EndD Intrvl 2    '
  pbp_c_coins_iha_endd_intrvl3     = 'OON IHA Coins EndD Intrvl 3    '
  pbp_c_coins_iha_intrvl_num       = 'OON IHA Coins Interval Num     '
  pbp_c_coins_iha_pct              = 'OON Benefit IHA Coins Pct      '
  pbp_c_coins_iha_pct_intrvl1      = 'OON IHA Coins Pct Intrvl 1     '
  pbp_c_coins_iha_pct_intrvl2      = 'OON IHA Coins Pct Intrvl 2     '
  pbp_c_coins_iha_pct_intrvl3      = 'OON IHA Coins Pct Intrvl 3     '
  pbp_c_coins_ihs_ben_type         = 'OON Benefit IHS Coins Type     '
  pbp_c_coins_ihs_yn               = 'OON Benefit IHS Coinsurance YN '
  pbp_c_coins_iph_bgnd_intrvl1     = 'OON IPH Coins BgnD Intrvl 1    '
  pbp_c_coins_iph_bgnd_intrvl2     = 'OON IPH Coins BgnD Intrvl 2    '
  pbp_c_coins_iph_bgnd_intrvl3     = 'OON IPH Coins BgnD Intrvl 3    '
  pbp_c_coins_iph_cov              = 'OON IPH Coins Cov              '
  pbp_c_coins_iph_endd_intrvl1     = 'OON IPH Coins EndD Intrvl 1    '
  pbp_c_coins_iph_endd_intrvl2     = 'OON IPH Coins EndD Intrvl 2    '
  pbp_c_coins_iph_endd_intrvl3     = 'OON IPH Coins EndD Intrvl 3    '
  pbp_c_coins_iph_intrvl_num       = 'OON IPH Coins Interval Num     '
  pbp_c_coins_iph_pct              = 'OON Benefit IPH Coins Pct      '
  pbp_c_coins_iph_pct_intrvl1      = 'OON IPH Coins Pct Intrvl 1     '
  pbp_c_coins_iph_pct_intrvl2      = 'OON IPH Coins Pct Intrvl 2     '
  pbp_c_coins_iph_pct_intrvl3      = 'OON IPH Coins Pct Intrvl 3     '
  pbp_c_copay_iha_amt_intrvl1      = 'OON IHA Copay Amt Intrvl 1     '
  pbp_c_copay_iha_amt_intrvl2      = 'OON IHA Copay Amt Intrvl 2     '
  pbp_c_copay_iha_amt_intrvl3      = 'OON IHA Copay Amt Intrvl 3     '
  pbp_c_copay_iha_bgnd_intrvl1     = 'OON IHA Copay BgnD Intrvl 1    '
  pbp_c_copay_iha_bgnd_intrvl2     = 'OON IHA Copay BgnD Intrvl 2    '
  pbp_c_copay_iha_bgnd_intrvl3     = 'OON IHA Copay BgnD Intrvl 3    '
  pbp_c_copay_iha_endd_intrvl1     = 'OON IHA Copay EndD Intrvl 1    '
  pbp_c_copay_iha_endd_intrvl2     = 'OON IHA Copay EndD Intrvl 2    '
  pbp_c_copay_iha_endd_intrvl3     = 'OON IHA Copay EndD Intrvl 3    '
  pbp_c_copay_iha_intrvl_num       = 'OON IHA Copay Interval Num     '
  pbp_c_copay_iha_ps_amt           = 'OON Benefit IHA Copay PS Amt   '
  pbp_c_copay_ihs_ben_type         = 'OON Benefit IHS Copay Type     '
  pbp_c_copay_ihs_yn               = 'OON Benefit IHS Copayment YN   '
  pbp_c_copay_iph_amt_intrvl1      = 'OON IPH Copay Amt Intrvl 1     '
  pbp_c_copay_iph_amt_intrvl2      = 'OON IPH Copay Amt Intrvl 2     '
  pbp_c_copay_iph_amt_intrvl3      = 'OON IPH Copay Amt Intrvl 3     '
  pbp_c_copay_iph_bgnd_intrvl1     = 'OON IPH Copay BgnD Intrvl 1    '
  pbp_c_copay_iph_bgnd_intrvl2     = 'OON IPH Copay BgnD Intrvl 2    '
  pbp_c_copay_iph_bgnd_intrvl3     = 'OON IPH Copay BgnD Intrvl 3    '
  pbp_c_copay_iph_endd_intrvl1     = 'OON IPH Copay EndD Intrvl 1    '
  pbp_c_copay_iph_endd_intrvl2     = 'OON IPH Copay EndD Intrvl 2    '
  pbp_c_copay_iph_endd_intrvl3     = 'OON IPH Copay EndD Intrvl 3    '
  pbp_c_copay_iph_intrvl_num       = 'OON IPH Copay Interval Num     '
  pbp_c_copay_iph_ps_amt           = 'OON Benefit IPH Copay PS Amt   '
  pbp_c_gen_bendesc_subcats        = 'OON Benefit Subsrvc Categories '
  pbp_c_gen_ded_amt                = 'OON Benefit Deductible Amt     '
  pbp_c_gen_ded_med_cat            = 'OON Benefit Med Deduct Cat     '
  pbp_c_gen_ded_med_yn             = 'OON Benefit Med Deductible YN  '
  pbp_c_gen_ded_nm_amt             = 'OON Benefit Non-Med Ded Amt    '
  pbp_c_gen_ded_nm_cat             = 'OON Benefit Non-Med Ded Cat    '
  pbp_c_gen_ded_nm_yn              = 'OON Benefit Non Med Ded YN     '
  pbp_c_gen_maxplan_amt            = 'OON Benefit Max Plan Amt       '
  pbp_c_gen_maxplan_cov            = 'OON Benefit Max Plan Cov       '
  pbp_c_gen_maxplan_per            = 'OON Benefit Max Plan Per       '
  pbp_c_gen_maxplan_yn             = 'OON Benefit Max Plan YN        '
  pbp_c_gen_oon_pre_yn             = 'OON Pre-Auth Rules             '
  pbp_c_gen_oop_med_amt            = 'OON Benefit Enr OOP Med Amt    '
  pbp_c_gen_oop_med_yn             = 'OON Benefit Med Enr OOP YN     '
  pbp_c_gen_oop_nm_amt             = 'OON Benefit Non-Med OOP Amt    '
  pbp_c_gen_oop_nm_cat             = 'OON Benefit Non-Med OOP Cat    '
  pbp_c_gen_oop_nm_per             = 'OON Benefit Non-Med OOP Amt    '
  pbp_c_gen_oop_nm_yn              = 'OON Benefit Non Med OOP YN     '
  pbp_c_outpt_bendesc_cats         = 'OON Out Pt Benefit Cats        '
  pbp_c_outpt_coins_cov            = 'OON Out Pt Coins Cov           '
  pbp_c_outpt_coins_max_pct        = 'OON Out Pt Max Coins Pct       '
  pbp_c_outpt_coins_min_pct        = 'OON Out Pt Min Coins Pct       '
  pbp_c_outpt_coins_yn             = 'OON Out Pt Coinsurance YN      '
  pbp_c_outpt_copay_max_amt        = 'OON Out Pt Copayment Max Amt   '
  pbp_c_outpt_copay_min_amt        = 'OON Out Pt Copayment Min Amt   '
  pbp_c_outpt_copay_yn             = 'OON Out Pt Copay YN            '
  pbp_c_outpt_group_num            = 'OON Out Pt Group Num           '
  pbp_c_outpt_group_num_id         = 'OON Group ID                   '
;
  run;

proc sort data = pbp_c out = out.pbp_c;
  by pbp_a_hnumber pbp_a_plan_identifier segment_id pbp_c_outpt_group_num_id;
run;

proc print data = out.pbp_c(obs = 10);
  title 'pbp c data';
run;

proc means data =  out.pbp_c;
  title 'pbp c file';
run;

proc freq data = out.pbp_c;
  table
  pbp_c_coins_iha_cov  pbp_c_coins_iha_intrvl_num pbp_c_coins_ihs_ben_type pbp_c_coins_ihs_yn
  pbp_c_coins_iph_cov pbp_c_coins_iph_intrvl_num pbp_c_copay_iha_intrvl_num
  pbp_c_copay_ihs_ben_type pbp_c_copay_ihs_yn pbp_c_copay_iph_intrvl_num
  pbp_c_gen_ded_med_yn pbp_c_gen_ded_nm_yn  pbp_c_gen_maxplan_cov pbp_c_gen_maxplan_per
  pbp_c_gen_maxplan_yn pbp_c_gen_oon_pre_yn pbp_c_gen_oop_med_yn pbp_c_gen_oop_nm_per
  pbp_c_gen_oop_nm_yn pbp_c_outpt_coins_cov pbp_c_outpt_coins_yn pbp_c_outpt_copay_yn
  pbp_c_outpt_group_num pbp_c_outpt_group_num_id / missing;
run;

proc contents data = out.pbp_c;
  title 'pbp c data';
run;
